EDIT - bug #9627

Handle updated objects correctly in monitored operations in taxeditor

05/19/2021 10:19 AM - Andreas Miller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

Currently in AbstractUtility.executeMoniteredOperation()

Set<Taxon> taxaToUpdate = getTaxaToUpdate (firstRemotingMonitor);

updateNameEditors (taxaToUpdate) ;

is called which updates only name editors and only if the result contains taxonBase. This is both not correct. All editors should be
updated if datat stored in them is involved. Also not only taxa should be checked but any data that might be part of the session of the

corresponding editor.

Also other long running tasks calling ProgressMonitorClientManager.pollMonitor should be handled the same way probably.

Related issues:
Related to EDIT - task #9628: Improve update result handling for monitored op...

Copied from EDIT - bug #6359: Remaining issues secundum for subtrees

New
Closed

Associated revisions

Revision ac5db269 - 05/19/2021 02:54 PM - Andreas Muller

ref #9627 workaround for update result including taxonBase in setSecundumForSubtree

Revision 0f6b5dda - 05/19/2021 03:25 PM - Andreas Miiller
ref #6359, ref #9627 fix tests for setSecundumForSubtree workaround

History

#1 - 05/19/2021 10:28 AM - Andreas Miiller

- Copied from bug #6359: Remaining issues secundum for subtrees added

#2 - 05/19/2021 10:32 AM - Andreas Miiller

- Related to task #9628: Improve update result handling for monitored operations added

#3 - 07/07/2021 03:24 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45
